Page MenuHomePhabricator

Make mobile toolbar wider where possible
Closed, ResolvedPublic1 Story Points

Description

Toolbar icons should each have their 54 px width background, but they need additional 10px padding between each. This will make it easier to tap the correct one.

Design:

Event Timeline

KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein updated the task description. (Show Details)
Rits added a subscriber: Rits.Mar 11 2015, 7:45 PM
Jdforrester-WMF triaged this task as Normal priority.Apr 8 2015, 7:22 PM
Jdforrester-WMF added a project: OOUI.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Epics on the VisualEditor board.Jul 21 2015, 7:26 PM
Jdforrester-WMF renamed this task from Mobile VE - Toolbar icons too close, tap area too small to Add a 10px gutter between each toolbar button in mobile to avoid mis-taps.Aug 3 2015, 1:59 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Have updated the title based on the size being 54px square now that we've moved the buttons into the right repo.

Is this still something we know that users need, and if so, is it something so critical we need to implement it as MVP?

For mobiles in portrait we don't have enough space as it is. We could add it responsively on wider tablets, but I'm not sure it's necessary.

Change 230302 had a related patch set uploaded (by Esanders):
Centre tools in mobile

https://gerrit.wikimedia.org/r/230302

Esanders renamed this task from Add a 10px gutter between each toolbar button in mobile to avoid mis-taps to Make mobile toolbar wider where possible.Aug 10 2015, 1:50 PM
Esanders closed this task as Resolved.
Esanders claimed this task.

The tagged commit centers the tools, but the toolbar is already reponsive width.

Change 230302 merged by jenkins-bot:
MobileArticleTarget: Centre toolbar tools

https://gerrit.wikimedia.org/r/230302

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Aug 26 2015, 1:38 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 7 2018, 1:13 AM